'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var marked = require('marked');
var hl = require('highlight.js');

var renderer = new marked.Renderer();

var codeRenderer = function codeRenderer(code, lang) {
  lang = lang === 'js' ? 'javascript' : lang;
  if (lang === 'html') {
    lang = 'xml';
  }

  var hlCode = lang ? hl.highlight(lang, code).value : hl.highlightAuto(code).value;
  return '<div class="doc-highlight"><pre><code class="' + (lang || '') + '">' + hlCode + '</code></pre></div>';
};

renderer.code = codeRenderer;

exports.default = {
  renderer: renderer
};